## soundkonverter 2.0.1

=== debian/changelog ===
soundkonverter (2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1

 -- Michael Meskes <meskes@debian.org>  Thu, 25 Apr 2013 12:56:10 +0200

soundkonverter (2.0.0-1) unstable; urgency=low

  * Updated watchfile to the latest version, courtesy of Bart Martens
    <bartm@debian.org>.
  * Imported Upstream version 2.0.0

 -- Michael Meskes <meskes@debian.org>  Sat, 23 Mar 2013 20:55:06 +0100

soundkonverter (1.9.90-1) unstable; urgency=low

  * Imported Upstream version 1.9.90

 -- Michael Meskes <meskes@debian.org>  Tue, 26 Feb 2013 14:25:14 +0100

=== debian/control ===
Source: soundkonverter
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://www.kde-apps.org/content/show.php?content=29024
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/soundconverter.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/soundconverter.git

Package: soundkonverter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cdparanoia, faad, ffmpeg, flac,
 kdemultimedia-kio-plugins, mp3gain, mplayer, mppenc, speex, timidity,
 vorbis-tools, vorbisgain, wavpack
Description: audio converter frontend for KDE
 soundKonverter is a frontend to various audio converters.
 .
 The key features are:
  - Audio conversion
  - Replay Gain calculation
  - CD ripping
 .
 soundKonverter supports reading and writing tags for many formats, so the tags
 are preserved when converting files.
 .
 See README.Debian for more information on supported formats.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*download=// \
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=kdeapps/29024 \
.*download=29024-soundkonverter-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
# Bart Martens <bartm@debian.org>  Mon, 18 Mar 2013 07:16:12 +0000

## soundkonverter 2.0.2

=== debian/changelog ===
soundkonverter (2.0.2-1) unstable; urgency=low

  * Imported Upstream version 2.0.2

 -- Michael Meskes <meskes@debian.org>  Thu, 09 May 2013 12:47:30 +0200

## soundkonverter 2.0.3

=== debian/changelog ===
soundkonverter (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3

 -- Michael Meskes <meskes@debian.org>  Sat, 22 Jun 2013 11:43:15 +0200

## soundkonverter 2.0.4

=== debian/changelog ===
soundkonverter (2.0.4-1) unstable; urgency=low

  * New Upstream Release
  * Update Vcs headers
  * Update debian/watch 

 -- Mark Purcell <msp@debian.org>  Sun, 04 Aug 2013 08:20:55 +1000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.4
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/soundconverter.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/soundconverter.git
+Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/soundkonverter.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/soundkonverter.git
 
 Package: soundkonverter
 Architecture: any

## soundkonverter 2.0.5

=== plugins/CMakeLists.txt ===
file(GLOB _plugins *)

foreach(_current_plugin ${_plugins})
   if(IS_DIRECTORY ${_current_plugin})
      add_subdirectory(${_current_plugin})
   endif(IS_DIRECTORY ${_current_plugin})
endforeach(_current_plugin)

=== plugins/soundkonverter_codec_ffmpeg/CMakeLists.txt ===
project(soundkonverter_codec_ffmpeg)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_ffmpeg_SRCS
   soundkonverter_codec_ffmpeg.cpp
   ffmpegcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_ffmpeg ${soundkonverter_codec_ffmpeg_SRCS})

target_link_libraries(soundkonverter_codec_ffmpeg ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_ffmpeg DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_ffmpeg.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_flac/CMakeLists.txt ===
project(soundkonverter_codec_flac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_flac_SRCS
   soundkonverter_codec_flac.cpp
   flaccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_flac ${soundkonverter_codec_flac_SRCS})

target_link_libraries(soundkonverter_codec_flac ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_flac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_flac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_flake/CMakeLists.txt ===
project(soundkonverter_codec_flake)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_flake_SRCS
   soundkonverter_codec_flake.cpp
   flakecodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_flake ${soundkonverter_codec_flake_SRCS})

target_link_libraries(soundkonverter_codec_flake ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_flake DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_flake.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_fluidsynth/CMakeLists.txt ===
project(soundkonverter_codec_fluidsynth)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_fluidsynth_SRCS
   soundkonverter_codec_fluidsynth.cpp
   fluidsynthcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_fluidsynth ${soundkonverter_codec_fluidsynth_SRCS})

target_link_libraries(soundkonverter_codec_fluidsynth ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_fluidsynth DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_fluidsynth.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_lame/CMakeLists.txt ===
project(soundkonverter_codec_lame)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_lame_SRCS
   soundkonverter_codec_lame.cpp
   lameconversionoptions.cpp
   lamecodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_lame ${soundkonverter_codec_lame_SRCS})

target_link_libraries(soundkonverter_codec_lame ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_lame DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_lame.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_neroaac/CMakeLists.txt ===
project(soundkonverter_codec_neroaac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_neroaac_SRCS
   soundkonverter_codec_neroaac.cpp
   neroaaccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_neroaac ${soundkonverter_codec_neroaac_SRCS})

target_link_libraries(soundkonverter_codec_neroaac ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_neroaac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_neroaac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_speex/CMakeLists.txt ===
project(soundkonverter_codec_speex)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_speex_SRCS
   soundkonverter_codec_speex.cpp
   speexcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_speex ${soundkonverter_codec_speex_SRCS})

target_link_libraries(soundkonverter_codec_speex ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_speex DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_speex.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_ttaenc/CMakeLists.txt ===
project(soundkonverter_codec_ttaenc)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_ttaenc_SRCS
   soundkonverter_codec_ttaenc.cpp
   ttaenccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_ttaenc ${soundkonverter_codec_ttaenc_SRCS})

target_link_libraries(soundkonverter_codec_ttaenc ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_ttaenc DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_ttaenc.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_filter_normalize/CMakeLists.txt ===
project(soundkonverter_filter_normalize)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_filter_normalize_SRCS
   soundkonverter_filter_normalize.cpp
   normalizefilteroptions.cpp
   normalizefilterwidget.cpp
 )

kde4_add_plugin(soundkonverter_filter_normalize ${soundkonverter_filter_normalize_SRCS})

target_link_libraries(soundkonverter_filter_normalize ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_filter_normalize DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_filter_normalize.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_aacgain/CMakeLists.txt ===
project(soundkonverter_replaygain_aacgain)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_aacgain_SRCS
   soundkonverter_replaygain_aacgain.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_aacgain ${soundkonverter_replaygain_aacgain_SRCS})

target_link_libraries(soundkonverter_replaygain_aacgain ${KDE4_KDEUI_LIBS} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_replaygain_aacgain DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_aacgain.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_metaflac/CMakeLists.txt ===
project(soundkonverter_replaygain_metaflac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_metaflac_SRCS
   soundkonverter_replaygain_metaflac.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_metaflac ${soundkonverter_replaygain_metaflac_SRCS})

target_link_libraries(soundkonverter_replaygain_metaflac ${KDE4_KDEUI_LIBS} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_replaygain_metaflac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_metaflac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (2.0.5-1) unstable; urgency=medium

  * Imported Upstream version 2.0.5 (Closes: #736553)
  * Recommend libav-tools instead of ffmpeg which no longer exists.
    (Closes: #722428)
  * Bumped Standards-Version to 3.9.5, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 25 Jan 2014 11:38:02 +0100

## soundkonverter 2.1.1

=== plugins/soundkonverter_codec_opustools/CMakeLists.txt ===
project(soundkonverter_codec_opustools)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_opustools_SRCS
   soundkonverter_codec_opustools.cpp
   opustoolscodecwidget.cpp
   opustoolsconversionoptions.cpp
 )

kde4_add_plugin(soundkonverter_codec_opustools ${soundkonverter_codec_opustools_SRCS})

target_link_libraries(soundkonverter_codec_opustools ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_opustools DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_opustools.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (2.1.1-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1

 -- Michael Meskes <meskes@debian.org>  Mon, 14 Apr 2014 11:01:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/soundkonverter.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/soundkonverter.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/soundkonverter.git
 
 Package: soundkonverter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: cdparanoia, faad, ffmpeg, flac,
+Recommends: cdparanoia, faad, libav-tools, flac,
  kdemultimedia-kio-plugins, mp3gain, mplayer, mppenc, speex, timidity,
  vorbis-tools, vorbisgain, wavpack
 Description: audio converter frontend for KDE

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/dpkg/buildflags.mk

#DEB_SRCDIR=src

install/soundkonverter::
	install -D -p -m0644 debian/soundkonverter.lintian-overrides \
	    debian/soundkonverter/usr/share/lintian/overrides/soundkonverter
	find debian -type f -name userscript.sh | xargs rm -f
	rm -rf debian/soundkonverter/usr/share/apps/soundkonverter/amarokscript
	install -m 644 *plugin.desktop debian/soundkonverter/usr/share/kde4/servicetypes

## soundkonverter 2.1.2

=== CMakeLists.txt ===
project(soundkonverter)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(Cdparanoia REQUIRED)
find_package(Kcddb REQUIRED)

set(TAGLIB_MIN_VERSION "1.4")
find_package(Taglib REQUIRED)


include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})


# all the warnings about constructions
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
# strict ISO C and ISO C++
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
# implicit conversions
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wconversion")
# implicit conversions from signed to unsigned
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsign-conversion")


add_subdirectory(plugins)


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )


set(soundkonvertercore_SRCS
   core/backendplugin.cpp
   core/conversionoptions.cpp
   core/codecwidget.cpp
   core/codecplugin.cpp
   core/filterplugin.cpp
   core/replaygainplugin.cpp
   core/ripperplugin.cpp
)
kde4_add_library(soundkonvertercore SHARED ${soundkonvertercore_SRCS})
target_link_libraries(soundkonvertercore ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS soundkonvertercore DESTINATION ${LIB_INSTALL_DIR})


set(soundkonverter_SRCS
   configdialog/configdialog.cpp
   configdialog/configpagebase.cpp
   configdialog/configgeneralpage.cpp
   configdialog/configbackendspage.cpp
   configdialog/configadvancedpage.cpp
   configdialog/configcoverartpage.cpp
   metadata/tagengine.cpp
   metadata/MetaReplayGain.cpp
   opener/fileopener.cpp
   opener/diropener.cpp
   opener/cdopener.cpp
   opener/urlopener.cpp
   opener/playlistopener.cpp
   replaygainscanner/replaygainscanner.cpp
   replaygainscanner/replaygainfilelist.cpp
   replaygainscanner/replaygainfilelistitem.cpp
   replaygainscanner/replaygainprocessor.cpp
   global.cpp
   main.cpp
   soundkonverter.cpp
   soundkonverterapp.cpp
   soundkonverterview.cpp
   codecproblems.cpp
   codecoptimizations.cpp
   combobutton.cpp
   config.cpp
   conversionoptionsmanager.cpp
   convert.cpp
   convertitem.cpp
   filelist.cpp
   filelistitem.cpp
   logger.cpp
   logviewer.cpp
   options.cpp
   optionssimple.cpp
   optionsdetailed.cpp
   optionseditor.cpp
   optionslayer.cpp
   pluginloader.cpp
   progressindicator.cpp
   outputdirectory.cpp
   aboutplugins.cpp
)
kde4_add_executable(soundkonverter ${soundkonverter_SRCS})
target_link_libraries(soundkonverter ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBRARY} ${KDE4_PHONON_LIBS} ${TAGLIB_LIBRARIES} kcddb ${CDPARANOIA_LIBRARIES} soundkonvertercore)
install(TARGETS soundkonverter DESTINATION ${BIN_INSTALL_DIR})


install(FILES soundkonverter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES soundkonverterui.rc DESTINATION ${DATA_INSTALL_DIR}/soundkonverter)

install(FILES soundkonverter_codecplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_filterplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_replaygainplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_ripperplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter-rip-audiocd.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

add_subdirectory(icons)
add_subdirectory(images)


macro_display_feature_log()


# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== plugins/soundkonverter_codec_aften/CMakeLists.txt ===
project(soundkonverter_codec_aften)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_aften_SRCS
   soundkonverter_codec_aften.cpp
   aftencodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_aften ${soundkonverter_codec_aften_SRCS})

target_link_libraries(soundkonverter_codec_aften ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_aften DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_aften.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_faac/CMakeLists.txt ===
project(soundkonverter_codec_faac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_faac_SRCS
   soundkonverter_codec_faac.cpp
   faaccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_faac ${soundkonverter_codec_faac_SRCS})

target_link_libraries(soundkonverter_codec_faac ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_faac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_faac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_musepack/CMakeLists.txt ===
project(soundkonverter_codec_musepack)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_musepack_SRCS
   soundkonverter_codec_musepack.cpp
   musepackcodecwidget.cpp
   musepackconversionoptions.cpp
 )

kde4_add_plugin(soundkonverter_codec_musepack ${soundkonverter_codec_musepack_SRCS})

target_link_libraries(soundkonverter_codec_musepack ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_musepack DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_musepack.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_shorten/CMakeLists.txt ===
project(soundkonverter_codec_shorten)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_shorten_SRCS
   soundkonverter_codec_shorten.cpp
   shortencodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_shorten ${soundkonverter_codec_shorten_SRCS})

target_link_libraries(soundkonverter_codec_shorten ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_shorten DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_shorten.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_vorbistools/CMakeLists.txt ===
project(soundkonverter_codec_vorbistools)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_vorbistools_SRCS
   soundkonverter_codec_vorbistools.cpp
   vorbistoolscodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_vorbistools ${soundkonverter_codec_vorbistools_SRCS})

target_link_libraries(soundkonverter_codec_vorbistools ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_vorbistools DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_vorbistools.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_filter_sox/CMakeLists.txt ===
project(soundkonverter_filter_sox)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_filter_sox_SRCS
   soundkonverter_filter_sox.cpp
   soxfilteroptions.cpp
   soxcodecwidget.cpp
   soxfilterwidget.cpp
   soxeffectwidget.cpp
 )

kde4_add_plugin(soundkonverter_filter_sox ${soundkonverter_filter_sox_SRCS})

target_link_libraries(soundkonverter_filter_sox ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_filter_sox DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_filter_sox.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_mp3gain/CMakeLists.txt ===
project(soundkonverter_replaygain_mp3gain)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_mp3gain_SRCS
   soundkonverter_replaygain_mp3gain.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_mp3gain ${soundkonverter_replaygain_mp3gain_SRCS})

target_link_libraries(soundkonverter_replaygain_mp3gain ${KDE4_KDEUI_LIBS} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_replaygain_mp3gain DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_mp3gain.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_ripper_icedax/CMakeLists.txt ===
project(soundkonverter_ripper_icedax)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_ripper_icedax_SRCS
   soundkonverter_ripper_icedax.cpp
 )

kde4_add_plugin(soundkonverter_ripper_icedax ${soundkonverter_ripper_icedax_SRCS})

target_link_libraries(soundkonverter_ripper_icedax ${KDE4_KDEUI_LIBS} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_ripper_icedax DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_ripper_icedax.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (2.1.2-1build1) wily; urgency=medium

  * No change rebuild for libtag1v5

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 23 Aug 2015 18:58:51 -0500

soundkonverter (2.1.2-1) unstable; urgency=medium

  * Imported Upstream version 2.1.2
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Feb 2015 13:53:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/soundkonverter.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/soundkonverter.git

=== debian/watch ===
version=3
http://kde-apps.org/content/download.php?content=29024 \
  /CONTENT/content-files/29024-soundkonverter-([\d\.]+)\.tar\.(?:gz|bz2).*

## soundkonverter 2.2.2

=== src/CMakeLists.txt ===
project(soundkonverter)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(Cdparanoia REQUIRED)
find_package(Kcddb REQUIRED)

set(TAGLIB_MIN_VERSION "1.4")
find_package(Taglib REQUIRED)


include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})

set(CMAKE_CXX_STANDARD 11)

# all the warnings about constructions
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
# strict ISO C and ISO C++
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
# implicit conversions
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wconversion")
# implicit conversions from signed to unsigned
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsign-conversion")


add_subdirectory(plugins)


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )


set(soundkonvertercore_SRCS
   core/backendplugin.cpp
   core/conversionoptions.cpp
   core/codecwidget.cpp
   core/codecplugin.cpp
   core/filterplugin.cpp
   core/replaygainplugin.cpp
   core/ripperplugin.cpp
)
kde4_add_library(soundkonvertercore SHARED ${soundkonvertercore_SRCS})
target_link_libraries(soundkonvertercore ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS soundkonvertercore DESTINATION ${LIB_INSTALL_DIR})


set(soundkonverter_SRCS
   configdialog/configdialog.cpp
   configdialog/configpagebase.cpp
   configdialog/configgeneralpage.cpp
   configdialog/configbackendspage.cpp
   configdialog/configadvancedpage.cpp
   configdialog/configcoverartpage.cpp
   metadata/tagengine.cpp
   metadata/MetaReplayGain.cpp
   opener/fileopener.cpp
   opener/diropener.cpp
   opener/cdopener.cpp
   opener/urlopener.cpp
   opener/playlistopener.cpp
   replaygainscanner/replaygainscanner.cpp
   replaygainscanner/replaygainfilelist.cpp
   replaygainscanner/replaygainfilelistitem.cpp
   replaygainscanner/replaygainprocessor.cpp
   global.cpp
   main.cpp
   soundkonverter.cpp
   soundkonverterapp.cpp
   soundkonverterview.cpp
   codecproblems.cpp
   codecoptimizations.cpp
   combobutton.cpp
   config.cpp
   conversionoptionsmanager.cpp
   convert.cpp
   convertitem.cpp
   filelist.cpp
   filelistitem.cpp
   logger.cpp
   logviewer.cpp
   options.cpp
   optionssimple.cpp
   optionsdetailed.cpp
   optionseditor.cpp
   optionslayer.cpp
   pluginloader.cpp
   progressindicator.cpp
   outputdirectory.cpp
   aboutplugins.cpp
)
kde4_add_executable(soundkonverter ${soundkonverter_SRCS})
target_link_libraries(soundkonverter ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBRARY} ${KDE4_PHONON_LIBS} ${TAGLIB_LIBRARIES} kcddb ${CDPARANOIA_LIBRARIES} soundkonvertercore)
install(TARGETS soundkonverter DESTINATION ${BIN_INSTALL_DIR})


install(FILES soundkonverter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES soundkonverterui.rc DESTINATION ${DATA_INSTALL_DIR}/soundkonverter)

install(FILES soundkonverter_codecplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_filterplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_replaygainplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_ripperplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter-rip-audiocd.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

install(FILES soundkonverter.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata)

add_subdirectory(icons)
add_subdirectory(images)


macro_display_feature_log()


# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== src/plugins/soundkonverter_codec_libav/CMakeLists.txt ===
project(soundkonverter_codec_libav)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_libav_SRCS
   soundkonverter_codec_libav.cpp
   libavcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_libav ${soundkonverter_codec_libav_SRCS})

target_link_libraries(soundkonverter_codec_libav ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_codec_libav DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_libav.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/soundkonverter_ripper_cdparanoia/CMakeLists.txt ===
project(soundkonverter_ripper_cdparanoia)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_ripper_cdparanoia_SRCS
   soundkonverter_ripper_cdparanoia.cpp
 )

kde4_add_plugin(soundkonverter_ripper_cdparanoia ${soundkonverter_ripper_cdparanoia_SRCS})

target_link_libraries(soundkonverter_ripper_cdparanoia ${KDE4_KDEUI_LIBS} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_ripper_cdparanoia DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_ripper_cdparanoia.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update Homepage to the GitHub location.
  * Update Vcs-* fields.
  * Convert rules to the dh sequencer with compat 9:
    - bump the debhelper build dependency to 9
    - remove the cdbs build dependency
    - bump compat to 9
    - make use of the kde dh addon, adding the pkg-kde-tools build dependency
      for it
    - drop all the manual install/cleanup rules, no more needed
  * Remove the dpkg-dev build dependency, satisfied in Wheezy already and not
    useful anymore
  * Remove postinst and postrm autoscripts, since this is something done by
    debhelper automatically.
  * Remove dirs file, there is no need to create them manually anymore.
  * Fix typo in README.Debian.
  * Install README.md instead of README.
  * Install the CHANGES from the src subdirectory.
  * Set a SONAME for the private soundkonvertercore library; patch
    soversion.diff.
    - do not ship the .so symlinks
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.
  * Update the recommends:
    - libav-tools -> ffmpeg
    - kdemultimedia-kio-plugins -> kio-audiocd (Closes: #779419)
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Jul 2016 14:19:23 +0200

=== debian/control ===
Source: soundkonverter
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools, kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake
Standards-Version: 3.9.8
Homepage: https://github.com/HessiJames/soundkonverter
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/soundkonverter.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/soundkonverter.git

Package: soundkonverter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cdparanoia, faad, ffmpeg, flac,
 kio-audiocd, mp3gain, mplayer, mppenc, speex, timidity,
 vorbis-tools, vorbisgain, wavpack
Description: audio converter frontend for KDE
 soundKonverter is a frontend to various audio converters.
 .
 The key features are:
  - Audio conversion
  - Replay Gain calculation
  - CD ripping
 .
 soundKonverter supports reading and writing tags for many formats, so the tags
 are preserved when converting files.
 .
 See README.Debian for more information on supported formats.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -Skde --sourcedirectory=src
	find debian/soundkonverter -name '*.so' -type l -delete

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGELOG
